Subject: Re: [seamoby] Re: New name -> Seamless to become Hidden Handover? ?

From: [email-masked]
Date: Mon, 5 Feb 2001 09:30:48 -0600

Comments below.

Please respond to Patrice Calhoun <[email-masked]>

> This is interesting Gary.  As an aside, what would happen if
> we tunnelled TCP and UDP over SCTP to avoid these strange
> things?  (I KNOW ITS SOLUTION SPACE!!!!)

Tunneling a reliable transport over a reliable transport is evil. Let's not go
there...

pdn>Hmm.  Last time I checked there was nothing reliable about
pdn>a tunnel composed of datagrams between two ARs (which might
pdn>in fact be mobile).  Also, reliable is an end-to-end concept
pdn>and does not mean squat to the path of potentially mobile
pdn>routers between the end points.  So tell me more about
pdn>this great evil Pat so I can be sure to avoid it.  :-)

> They seem to use it like a
> marketing term

Having participated heavily in the MIP work, I have *never* heard anyone use
the term seamless. The only term that I know of that was used is fast.

pdn>Huh?  Look again.  Do you want me to dig up the references?
pdn>(Maybe its more prevalent in the v6 and HMIP than v4).

---

From: Patrice Calhoun <[email-masked]>
Date: Mon, 5 Feb 2001 07:48:25 -0800 (PST)

> Tunneling a reliable transport over a reliable transport is evil. Let's not
> go there...
> 

Let me try again.

SCTP Retransmitting a TCP transmission doesn't sound like a great idea to me.
This comment was a result of your TCP over SCTP proposal above.

> pdn>(Maybe its more prevalent in the v6 and HMIP than v4).

ok, I'll look deeper into the v6 stuff, but I haven't seen any on the list.

PatC